@import  './../../mixins.scss';

.modal {
  position: fixed;
  @include center;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(0, 0, 0, 0.4);
  cursor: pointer;

  & .modal-window {
    position: relative;
    max-width: 22rem;
    min-height: 10rem;
    display: flex;
    flex-direction: column;
    box-shadow: 0 0.3rem 1rem rgba(0, 0, 0, 0.5);
    background-color: rgb(203, 76, 57);
    font-family: 'HelveticaNeueCyr', sans-serif; // Condensed Black
    font-weight: 500;
    color: #fff;
    cursor: default;
    z-index: 100;

    & .modal-header {
      @include center($justify: space-between);
      font-size: 1rem;
      border-radius: 3px;
      height: 1.5rem;
      padding: 1rem;
      background-color: rgb(186, 71, 53);
      font-weight: 700;
    }

    & .modal-body {
      position: relative;
      display: flex;
      flex-direction: column;
      height: 100%;
      overflow: auto;
      font-size: 0.7rem;
      line-height: 1.5rem;
      font-weight: 700;

      & .modal-content{
        margin: 1rem;
      }
    }
  }
}
